
Foreman - Bug #26024

Remove fog and set fog-core to 2.1.0 and net-ssh to '4.2.0'

02/11/2019 01:35 PM - Kavita Gaikwad

Status: Closed   

Priority: Normal   

Assignee: Kavita Gaikwad   

Category: Compute resources   

Target version:    

Difficulty:  Fixed in Releases: 1.22.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6475

  

Description

Related issues:

Related to Foreman - Bug #26025: update fog-google to latest version i.e 1.8.2 Closed

Related to Foreman - Feature #26423: Update fog-vsphere to 3.0 Closed

Related to Foreman - Bug #30162: Allow newer Net::SSH New

Associated revisions

Revision 14e90094 - 03/27/2019 12:51 PM - Kavita Gaikwad

Fixes #26024,#26025 - removed fog & updated fog-google ~> 1.8.2 (#6475)

Locked version of 'fog-core' to '2.1.0' and 'net-ssh' to 4.2.0

as in latest version of net-ssh values of options

i.e paranoid/verify_host_key are changed but fog-core

still using old values.

Also, modified GCE test using mock.

History

#1 - 02/11/2019 02:00 PM - Kavita Gaikwad

- Subject changed from Update fog to latest version to Update fog to latest version and update fog-google.

#2 - 02/11/2019 02:11 PM - Kavita Gaikwad

- Subject changed from Update fog to latest version and update fog-google. to Update fog to latest version

#3 - 02/11/2019 02:14 PM - Kavita Gaikwad

- Related to Bug #26025: update fog-google to latest version i.e 1.8.2 added

#4 - 02/11/2019 02:19 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6475 added

#5 - 02/25/2019 01:09 PM - Kavita Gaikwad

- Subject changed from Update fog to latest version to Remove fog and set fog-core to 2.1.0 and fog-google to latest version

#6 - 02/25/2019 01:39 PM - Kavita Gaikwad

- Subject changed from Remove fog and set fog-core to 2.1.0 and fog-google to latest version to Remove fog and set fog-core to 2.1.0 and net-ssh to

'4.2.0'

#7 - 03/21/2019 12:14 AM - Ondřej Ezr

- Related to Feature #26423: Update fog-vsphere to 3.0  added
#8 - 03/27/2019 12:52 PM - Marek Hulán

- Fixed in Releases 1.22.0 added

#9 - 03/27/2019 01:02 PM - Kavita Gaikwad

- Status changed from Ready For Testing to Closed

Applied in changeset 14e90094305a29440923a8fc21af1afde3173314.

#10 - 04/22/2019 07:42 AM - Tomer Brisker

- Category set to Compute resources

#11 - 06/19/2020 05:22 AM - Evgeni Golov

- Related to Bug #30162: Allow newer Net::SSH added
